"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MyEventManagerPlugin = (function () {
    function MyEventManagerPlugin(_doc) {
        this._doc = _doc;
    }
    MyEventManagerPlugin.prototype.addGlobalEventListener = function (element, eventName, handler) {
        var target;
        if (element === 'document')
            target = this._doc;
        else if (element === 'window' && typeof (window) !== undefined)
            target = window;
        if (!target) {
            throw new Error("Unsupported event target " + target + " for event " + eventName);
        }
        return this.addEventListener(target, eventName, handler);
    };
    ;
    return MyEventManagerPlugin;
}());
exports.MyEventManagerPlugin = MyEventManagerPlugin;
